Bug Hunting Session
Bug 112390 - Double-clicking various toolbar buttons opens two file dialogs (Windows)
Summary: Double-clicking various toolbar buttons opens two file dialogs (Windows)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: File-Dialog Button-Controls
  Show dependency treegraph
 
Reported: 2017-09-14 14:46 UTC by Emil Tanev
Modified: 2019-09-28 03:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2017-09-14 14:46:03 UTC
Open Writer
Double-click Insert Image icon

Issue: Two windows open. When you select the first image, and then the second, the first is discarded. 

https://www.screencast.com/t/4tcvM47SV
Comment 1 Dieter Praas 2017-09-20 12:08:49 UTC
I don't think, that this is a bug, because the first picture only discards, if you have selected it. for me it is an expected result, if in this case a new picture replaces the old one.

If the first picture isn't selected ist is no problem to add a second picture.

So I would say NOTABUG.
Comment 2 Emil Tanev 2017-09-20 15:07:39 UTC
The bug is in opening two windows.
Comment 3 Dieter Praas 2017-09-20 15:51:37 UTC
I confirm your bug with LO 5.4.2.1
One click => opens one window
Two clicks => opens two windows

I couldn't observe this behaviour for other icons, so I think it should be changed.
Comment 4 Yousuf Philips (jay) (retired) 2017-09-22 20:11:24 UTC
Tested on linux (gtk2 and gtk3) and couldnt repo.

Version: 6.0.0.0.alpha0+
Build ID: 7315f325ff7ada3d6bd85a471058fdaeaff8cdb0
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-17_06:58:21
Locale: en-US (en_US.UTF-8); Calc: group

I cant repo it on window xp with 5.2, but can repo it on windows 8.1 with 6.0 (2017-09-17). @stuart: can you test windows 7 and/or 10?

(In reply to Dieter Praas from comment #3)
> I confirm your bug with LO 5.4.2.1

Please always provide the full build information found in the help > about dialog, as is most helpful.
Comment 5 Dieter Praas 2017-09-23 08:32:27 UTC
(In reply to Dieter Praas from comment #3)
> I confirm your bug with LO 5.4.2.1

Version: 5.4.2.1 (x64)
Build-ID: dfa67a98bede79c671438308dc9036d50465d2cb
CPU-Threads: 4; Betriebssystem:Windows 6.19; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 6 V Stuart Foote 2017-09-23 13:00:20 UTC
Confirming some general mishandling of doubleclick events in Toolbar controls on Windows.

And actually, this affects multiple button controls, result depends on behavior of linked command--Insert Image or Export PDF opens another dialog instance, while Show Tracked Changes toggles the GUI element.

But, not clear if the doubleClick is being mishandled as a single click, or if there is a timing issue, I've tried OS adjustment of the mouse/touchpad doubleclick delay and it seems all toolbar button actions are handled as single clicks.

Are we missing test for doubleclick

On Windows 10 Home 64-bit en-US
Version: 5.4.1.2 (x64)
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
Locale: en-US (en_US); Calc: group

@Kendy?
Comment 7 Heiko Tietze 2017-09-24 07:36:14 UTC
Definitely a bug since you can open as many dialogs by clicking repeatedly (Qt based). Dialogs should be modal, with some exceptions when interaction is of interest.
Comment 8 QA Administrators 2019-09-28 03:04:34 UTC
Dear Emil Tanev,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug